%define api 1.0
%define major 0
%define libname %mklibname dotconf %{api} %{major}
%define devname %mklibname dotconf -d
%define sdevname %mklibname dotconf -d -s

Name:		dotconf
Summary:	A ConfigurationFile Parser Library
Version:	1.0.13
Release:	10
License:	LGPLv2.1
Group:		System/Libraries
Url:		http://www.azzit.de/dotconf/
Source0:	http://www.azzit.de/dotconf/download/v1.0/%{name}-%{version}.tar.gz
# (fc) 1.0.13-2mdv fix aclocal warning
Patch0:		dotconf-1.0.13-aclocal-warning.patch
BuildRequires:	recode

%description
Dotconf is a configuration file parser library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The shared libraries needed for running programs using dotconf
Group:		System/Libraries
Conflicts:	%{_lib}dotconf1 < 1.0.13-10
Obsoletes:	%{_lib}dotconf1 < 1.0.13-10

%description -n %{libname}
Dotconf is a configuration file parser library.
This package contains only the shared libraries needed for running programs
dynamically linked against dotconf.

%files -n %{libname}
%doc AUTHORS ChangeLog README
%{_libdir}/libdotconf-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The libraries and headers needed for dotconf development
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Dotconf is a configuration file parser library.
This package contains documentation, headers and shared library symlinks 
needed for dotconf development.

%files -n %{devname}
%doc AUTHORS ChangeLog README doc/dotconf*
%{_bindir}/%{name}-config
%{_includedir}/*.h
%{_datadir}/aclocal/%{name}.m4
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libraries for dotconf development
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
Dotconf is a configuration file parser library.
This package contains only the static libraries for dotconf devlopment.

%files -n %{sdevname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%package examples
Summary:	The examples for the dotconf library
Group:		Development/C

%description examples
Dotconf is a configuration file parser library.
This package contains examples, installed in the same place as the
documentation.

%files examples
%doc examples/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .aclocal-warning
recode l1..u8 AUTHORS doc/dotconf-features.txt

%build
#fix build
autoreconf -i
%configure2_5x
%make

%install
%makeinstall


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.13-10
- (895e9f1) Fix library package name
- (895e9f1) Spec cleanup


